<ion-header>
  <ion-toolbar>
      <ion-buttons slot="primary">
        <ion-button (click)="onAfterUpdate()" [disabled]="!form?.valid">
          <ion-icon slot="icon-only" name="checkmark"></ion-icon>
        </ion-button>
      </ion-buttons>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/places/tabs/offers"></ion-back-button>
    </ion-buttons>
    <ion-title>Edit Offer</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div *ngIf="isLoading" text-center>
    <ion-spinner color="primary"></ion-spinner>
  </div>

    <form [formGroup]="form" *ngIf="!isLoading">
      <ion-grid>
        <ion-row>
          <ion-col size.sm="6" offset.sm="3">
            <ion-item>
              <ion-label position="floating">Title</ion-label>
              <ion-input type="text" formControlName="title" autocomplate autocorrect></ion-input>
            </ion-item>
            <ion-item *ngIf="!form.get('title').valid && form.get('title').touched" lines="none">
              <ion-text color="danger">
                Title Field Required
              </ion-text>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size.sm="6" offset.sm="3">
            <ion-item>
              <ion-label position="floating">Short Description</ion-label>
              <ion-textarea row="3" formControlName="description"></ion-textarea>
            </ion-item>
            <ion-item *ngIf="!form.get('description').valid && form.get('description').touched" lines="none">
              <ion-text color="danger">
                must description field contain at least 5 Character
              </ion-text>
            </ion-item>
          </ion-col>
        </ion-row>
    

      </ion-grid>
    </form>
</ion-content>
